import { $ } from "execa";
import { tryCatchAsync } from "../utils/tryCatchAsync.js";
import { readGitHubEmail } from "./readGitHubEmail.js";
async function readEmails(npmDefaults, packageAuthor) {
  const github = await readGitHubEmail() ?? await tryCatchAsync(
    async () => (await $`git config --get user.email`).stdout
  );
  const npm = ((await npmDefaults())?.email ?? (await packageAuthor()).email) || github;
  return npm ? { github: github || npm, npm } : void 0;
}
export {
  readEmails
};
//# sourceMappingURL=readEmails.js.map